
Katello - Feature #4912

Katello and Foreman Host and System integration

03/27/2014 05:27 PM - Mike McCune

Status: Duplicate   

Priority: Normal   

Assignee: Mike McCune   

Category: Hosts   

Target version: Katello Recycle Bin   

Difficulty: hard Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1081697 Red Hat JIRA:  

Pull request:    

Description

We need to better integrate Foreman Hosts and Katello Systems.  This includes a series of work to do the following:

Rename Katello Systems to Hosts

Build a datamodel where Katello Hosts are an extension or joined to a Foreman Host

Build UI linking between Katello Hosts and Foreman Hosts

Ensure datamodel integrity such that hosts are created/updated/deleted in unison between Foreman and Katello

Ensure that when API calls (eg, subscription-manager) create registered hosts that there are corresponding hosts created in

Foreman's datamodel

We will break this out into multiple issues but track the overall feature here.

Related issues:

Related to Katello - Feature #6669: after lifecycle environment and content v... Duplicate 07/17/2014

Is duplicate of Katello - Tracker #8161: Host Unification Rejected

History

#1 - 03/27/2014 05:29 PM - Mike McCune

- Description updated

#2 - 03/27/2014 06:55 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1081697

#3 - 08/18/2014 02:17 PM - Eric Helms

- Subject changed from [RFE] Katello and Foreman Host and System integration to Katello and Foreman Host and System integration

- translation missing: en.field_release set to 14

#4 - 09/23/2014 04:34 PM - Eric Helms

- translation missing: en.field_release deleted (14)

#5 - 09/29/2014 10:40 AM - Eric Helms

- Related to Feature #6669: after lifecycle environment and content view are selected, default to associated puppet environment but have option to

change it added

#6 - 08/23/2015 10:55 AM - Eric Helms

- Status changed from New to Duplicate

#7 - 08/23/2015 10:55 AM - Eric Helms

- Is duplicate of Tracker #8161: Host Unification added

#8 - 07/08/2016 11:19 AM - Eric Helms

- translation missing: en.field_release set to 166
